20100909

This week's Hug Day will focus on apt!

After you have triaged or fixed a bug put your Launchpad Id in the last column and set the row's background to green by adding lightgreen in the first cell of the column after rowbgcolor=. This will let people know that the bug in that row has been hugged.

Adopt This Package

Are you looking for a package to adopt? https://wiki.ubuntu.com/BugSquad/AdoptPackage explains all about it. Apt is one of the available packages and could really use some help with triage. This package has many useful debugging options, but it will take some effort to learn when to use them properly.

Tools

For doing your work easier during the hug days remember to use the hugday-tools.

5-a-day-ing

To sign up for 5-A-Day participation, please add your Launchpad ID to the Participants column. (This is not the email address you used for signing up for LP, but the last part of the URL that https://launchpad.net/people/+me redirects you to (everything behind the ~ sign)):

  1. Click on https://launchpad.net/people/+me

  2. Look at the URL bar, everything behind the ~ sign is your Launchpad ID.

Also sign up here: https://launchpad.net/~5-a-day-participants/+join

Stock Responses

For problem specific Stock Responses see: Bugs/Responses

Specific Debugging Tools

These responses can be used when responding on incomplete or confirmed bugs:

Useful for download issues:

If you can still reproduce the problem, please run the following command:
 sudo apt-get install rhythmbox -o Debug::Acquire::http=true 2> /tmp/apt-fetch.log 
and attach the file /tmp/apt-fetch.log to this bugreport. Please edit the file as it may contain the password in plain text.

Packages being added and removed by apt:

Could you please run:
 sudo apt-get dist-upgrade -o Debug::pkgDepCache::AutoInstall=true 
and attach the output here?

100 New Bugs

To mark it off the list you should:

  • Verify the bug is still not fixed
  • Request any needed info, Subscribe, Status to incomplete or

  • Set status to Confirmed

Bug

Subject

Triager

626536

package indicator-me 0.2.6-0ubuntu1 failed to install/upgrade: dependency problems - leaving unconfigured

ilidrissi.amine

623444

apt mirror method should display mirror URLs

kamus

615935

apt-ftparchive gives invalid Valid-Until date in output Release file

adam-collard

613437

apt errors ubuntu 10.04 to ubuntu 10.10 upgrade

~charlie-tca

610499

Apt-get update showing s ss or sss meaning seconds left

606126

apt-cache search should show version

kamus

602945

apt-cdrom fails due to inconsistent choice of mount points

601916

mirror: method should try the next mirror on 404

600758

Updates failing

~ris

600463

Bash auto-completion for apt-get & aptitude shows non-existent packages

adam-collard

600230

apt-mark doesn't function without python-apt

598761

Numerous bugs on 9.10->10.04 upgrade

598580

apt-get --force-yes should try harder

591845

--print-uris should display portable URIs when used with mirror: method

591558

Error message about https transport could be more useful

adam-collard

589589

deprecation warning: typo python script

adam-collard

578625

Ctrl-C doesn't work in "apt-get install flashplugin-installer"

~charlie-tca

578216

apt package configure step fails without explanation if non-existent user is referenced in /etc/group

adam-collard

572613

apt doesn't respect repository order or pin preference

572267

package libudev0 1476.1 failed to install/upgrade: package libudev0 is already installed and configured

adam-collard

571896

package apt 0.7.25.3ubuntu7 failed to install/upgrade:

570158

Please export translations and rebuild package

568813

apt repeatedly switches media installing from dvds

568578

apt-get crashed with signal 7 in kernel_vsyscall()

565229

/etc/cron.daily/apt assumes that CacheArchive inside CacheDir

561238

apt does not check Free Disk Space before upgrading

559173

could not initialize the package information

~charlie-tca

546767

synaptic fails

546447

apt: Could not perform immediate configuration on already unpacked 'initramfs-tools'

541438

"apt-get purge" should not select another package (when the requested one in not installed and provided by another one)

540219

not auto-updating the package lists

adam-collard

539349

Swedish locale does not work in lucid apt

~charlie-tca

539219

Using a CD as an apt repository doesn't work.

534417

Thunderbird: localization not installed automatically

530123

apt-cdrom lookups not giving any error messages

525784

APT should support scanning .iso for packages, as it scans CD-ROMs

524720

can not install and update programs

~charlie-tca

520763

chdir() back to old working directory is pointless and can fail

512190

"apt-get --ignore-missing install" fails when it can't find a package

510543

apt can't handle installing more than 4 Gb of packages at once

510071

APT does not mark "recommends" dependency as automatically installed

506415

aptitude+trickle crashes if there is another copy of it running in background. libc detected /usr/lib/apt/methods/http: free(): invalid next size (normal)

501028

Blocked updates still suggested for update

497701

E: _cache->open() failed, please report.

496439

broken Translation files, and apt-cache show outputs incomplete characters

484627

Apt-get reports excessively long time to fetch package

484361

uninstallation like "undo", when upgrades and/or packages installation goes wrong for no space in device

~charlie-tca

476135

apt becomes wedged, requiring shell script intervention, after using free cafe wifi connection

471374

dpkg should retrive the package again if the post install/remove scripts corrupted

459501

apt crashes during update, in /usr/lib/libapt-pkg-libc6.9-6.so.4.7

455136

aptd crashed with signal 7 in memcpy()

453986

error message after installing of ubufox in U-9.10

~charlie-tca

452752

package ubufox 0.8~b1-0ubuntu1 failed to install/upgrade:

447945

package mountall 0.1.8 failed to install/upgrade:

441563

Unknown error ("This should not happen") while installing with Ubuntu Software Center

kamus

440036

apt-key list should not change the mtime and ctime on /etc/apt

438448

package system-services 0.3.9-2 failed to install/upgrade:

~charlie-tca

438025

Auto Update Check doesn't work after Upgrading to 9.04 (wrong permissions for cron job)

437687

package g++-4.3 4.3.3-5ubuntu4 failed to install/upgrade: subprocess dpkg-split returned error exit status 2

433827

Regression: "Automatic proxy configuration" + gnome-terminal now breaks apt-get, curl, wget...

432913

UBUNTU 9.4 E: Encountered a section with no Package: header E: Problem with MergeList /var/lib/apt/lists/br.archive.ubuntu.com_ubuntu_dists_jaunty_main_binary-i386_Packages E: A lista de pacotes ou o arquivo de status não puderam ser analisados ou abertos. E: _cache->open() failed, please report.

430123

package libc6-dev 2.9-4ubuntu6.1 failed to install/upgrade: package libc6-dev is already installed and configured

~charlie-tca

425325

set to manually installed ignores --simulate in apt-get

424182

apt-get crashes on apt-get update

418552

apt-get bad grammar

417330

nividia-glx-185 not installed on upgrade

411369

apt-mark should allow listing of autoremove status

~charlie-tca

410666

apt-get misreads specified kernel to delete

409532

Poor wording of suggestion box message for "Apt authentication issue"

409444

apt should report expected hash and actual hash on hash sum mismatch

408459

synaptic crashed with SIGSEGV in pkgAcqArchive::pkgAcqArchive()

398723

404 error causes apt-get update to fail

~charlie-tca

397953

Apt runs out of space during kernel update

396137

apt purges everything

394005

can't use the packet manager (like apt-get or aptitude) because of an error while using "install", "update"...

adam-collard

393693

apt-get build-dep should accept a .dsc file

388565

can't install x86 packages via apt on lpia

388489

Could not download all repository indexes

384792

aptitude safe-upgrade crached

vish

383393

package hostname 2.94 failed to install/upgrade:

vish

382248

package bridge-utils 1.4-5 failed to install/upgrade: subprocess post-installation script returned error exit status 1

vish

380912

Apt shows incorrect suggestion to fix unavailability of public key of a given repository

~ris

378947

apt-get --no-download upgrade DOWNLOADS

~charlie-tca

378680

apt-get build-dep doesn't install all the necessary packages

vish

377971

unattended-upgrades doesn't.

vish

376903

Lot of errors trying to install "libdbus-1-dev" package testing Ubuntu karmic

vish

376381

'E:Encountered a section with no package:header,E: Problem with MergeList/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_jaunty-updates_restricted_binary-amd64_Packages,E:The package lists or status file could not be parsed or opened'

vish

375282

sources.list is wrong after upgrade from 8.10 to 9.04

~charlie-tca

374362

Update Manager crashes with Segfault

vish

372893

don't report package install failures for declined license

369689

Ubuntu 9.04 Add/Remove program stops searching

vish

366722

package apt 0.7.20.2ubuntu6 failed to install/upgrade:

vish

366717

cairo problem

366426

apt locking up and slow apt sources after fresh install

~charlie-tca

366274

apt-get install: regex isn't confirmed if it pulls exactly 1000 dependencies

~charlie-tca

363525

repositories confused

~charlie-tca

363005

aptDBUSBackend.py crashed with SIGSEGV in strlen()

~charlie-tca

362961

Incorrect metadata when repositories are defined in sources.list.d

~charlie-tca

362213

apt-get crashed with SIGSEGV in strlen()

ilidrissi.amine

360390

daily cron for apt failed

ilidrissi.amine

43 Incomplete Bugs

To mark it off the list you should:

  • Change the bug's status to "Confirmed" or "Triaged" if the reporter replied with enough information or

  • Ask a secondary follow up question and subscribe to the bug report

Bug

Subject

Triager

629967

apt can't recover from corrupted cache files

kamus

629110

Wrong key mapping in apt-get command

kamus

628067

Use a authenticated proxy with a "@" into the username causes a 407 error code

kamus

619938

package apt 0.7.25.3ubuntu9.1 failed to install/upgrade: error escribiendo en «<salida estándar>»: Éxito

kamus

618103

package empathy 2.30.2-0ubuntu1 failed to install/upgrade: ErrorMessage: el paquete empathy no está listo para configurarse no se puede configurar (estado actual `half-installed')

vish

614829

apt-get mysql-server-5.1 fails with ldconfig.real error

vish

611916

'apt-get install bakefile' doesn't work

~charlie-tca

610924

"Duplicate sources.list entry" every apt-get update

610503

Upgrading through the command line causes banshee, cheese, empathy, ubuntu-desktop, gnome-media, totem, rhythmbox, pidgin, soundconverter, pitivi, gstreamer to be removed

kamus

582713

[Lucid] Apt no longer updates sources without key

~charlie-tca

582485

E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.

kamus

582479

package empathy 2.30.0.1-0ubuntu3 failed to install/upgrade: subprocess new post-removal script returned error exit status 1

kamus

578290

package apt 0.7.25.3ubuntu7 failed to install/upgrade: el subproceso script post-installation instalado devolvió el código de salida de error 1

kamus

577122

can't remove empathy package

~charlie-tca

573463

dist-upgrade failed from karmic to lucid

kamus

572200

apt cann't resolve some packages' dependence!

kamus

571809

Could not initialize the package information

kamus

533274

apt can't load packages outside proxy

kamus

532894

"Ubuntu-desktop" requested on 1st deb package install.

kamus

520170

package mysql-server-5.0 5.1.30really5.0.75-0ubuntu10.2 failed to install/upgrade: corrupted filesystem tarfile - corrupted package archive

kamus

497687

segfault at f13f6e30 ip 00e7290f sp bfbac6c0 error 5 in libapt-pkg-libc6.10-6.so.4.8.1

kamus

496452

apt-get hangs on "Waiting for headers..." nearly every time I run it

kamus

494945

unable to install any packages on ubuntu 9.10, unable to mount cdrom

kamus

483175

Apt doesn't recognize properties in file repositories

kamus

467029

source could warn about missing tools before download

kamus

462461

add License: field to mirror package lists

kamus

437199

When updating from command line delay reboot dialog

kamus

435613

man-db do not install

kamus

428672

update manager is broken

kamus

427085

apt-get error with ppa need improvement

kamus

419671

could not initialize package information

kamus

417576

kernel processing errors everytime apt-get runs

kamus

380610

Package firefox-gnome-support missing from Netbook Remix (UNR)

vish

377048

Failed to update linux-image 2.6.27-14 generix

kamus

299360

No automatic package update notifications since Intrepid upgrade

kamus

294460

apt-get segfaulted right after "Got 6511B In 1s" when I typed "sudo apt-get update"

kamus

274979

python-dateutil alternately added, removed by apt

kamus

244717

Package manager crashed

kamus

243196

E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages

vish

176619

Hardy Alpha 1: Package python-pyatspi (not) autoremovable

~charlie-tca

148586

Depends on linux-ubuntu-modules-386

139048

Try apt-get update to fix problem with packages that could not be authenticated

vish

130079

internal error opening cache if a pkg is in a bad inconsistent state

vish

100 Confirmed Bugs

To mark it off the list you should:

  • Verify the bug is still not fixed
  • Request any needed info, Subscribe, Status to incomplete or
  • Set status to triaged UbuntuBugControl

Bug

Subject

Triager

611925

sources are not recognized

yofel

610464

Apt-get update shows wrong percentage and remaining seconds

kamus

598581

RFE: apt-get install local .deb file

kamus

576932

apt-cdrom bad mount-point

574886

Apt has strange network errors when updating indexes.

kamus

571999

package wine1.2 (not installed) failed to install/upgrade when both wine and wine1.2 are installed

571995

apt failed to upgrade: subprocess installed post-installation script returned error exit status 1 - (maybe failure of set_apt_proxy_from_gconf on kubuntu ?)

568180

E: Could not perform immediate configuration on 'bash'.Please see man 5 apt.conf under APT::Immediate-Configure for details. (2)

kamus

566584

unpack/configure order violation triggered by OOo pre-depends

544693

Apt doesn't handle when /tmp is mounted noexec

528925

apt-get hangs with "Waiting for headers" for exactly two minutes on dl.google.com apt line

kamus

526796

No sound applet on the gnome panel

kamus

523158

"Running dpkg" message always appear untranslated

kamus

484653

apt sources.list permissions

478394

apt-cdrom: better error when cdrom-arch != host-arch

kamus

469431

bad data in the apt lists/ dir can lead to a problem that apt-get update can not fix

kamus

463122

more robustnesss against broken Translation files

445903

apt-key: Manpage mentions Debian instead of Ubuntu keys

kamus

445653

apt wants to remove grub2 for machines that did upgrade legacy grub

435133

SizeToStr doesn't support localisation

kamus

420403

Incorrect Finnish translation for "Hash Sum mismatch"

kamus

404724

unnecessarily restrictive permissions on /var/log/apt/term.log

404617

apt-get should search for near misses when a package is not found

399474

RFE: include support for partial wildcard to pin packages

369783

upgrade to 9.04 results in ubuntu-desktop broken ordering

368435

could tag file conflicts installation issues

365611

apt-get install ignores long package names

365570

apt-get http_proxy overwrites Acquire::http::Proxy settings

348234

synaptic crashed with SIGSEGV in strcmp()

345943

Package downloads do not resume on some servers

320665

apt.Cache(rootdir="/foo") is honoured only for first instantiation of a Cache per-process

307798

Localized software should respect only localized user input to confirmation requests.

304261

libgnutls13 has no installation candidate

295448

apt documentation for APT::Default-Release is not clear regarding security updates

293129

User-friendly diff display during distribution upgrades

283500

Synaptic, update-manager, apt-get and wget should share proxy settings

280966

Apt fails when hard drive runs out of space

274242

Packages with different architecture than the system's force-installed do not show up in Synaptic

268492

Automatically downloading updated packages should not block package managers

253761

apt-cache search --names-only gives many false positives

245373

Certain packages will still upgrade after locking in Synaptic Package Manager [Hardy]

245068

apt-get doesn't say why build-dependencies cannot be satisfied

237540

apt fails to update

230832

apt /usr/lib/apt/methods/http has proxy issues

226780

apt-key net-update does not obey APT::Acquire::http::Proxy

220239

E: Directory '/var/log/apt/' missing

217876

Firefox 2 remains in gusty -> hardy upgrade when lang-packs are installed

217413

Integrate all the apt-get / aptitude installs in history of Synaptic

202459

Apt performs some actions multiple times when once would suffice

192810

apt-key net-update command is not documented in the man page

187994

Misleading error message on incorrect component in sources.list (was: Failed to fetch http://archive.canonical.com/ubuntu/dists/gutsy/Release Unable to find expected entry commercial/binary-i386/Packages in Meta-index file (malformed Release file?))

187371

the progress of the downloaded data not consistent

185805

Need a way to list high urgency updates only

184354

apt should honor http 302 (was: http 302 status reported as error)

183204

apt-get crashed with SIGSEGV in pkgProblemResolver::MakeScores() Ubuntu 8.04

181439

Apt should optimize dependencies chosen to minimize disk space used

180160

cannot run apt-get after upgrading to ubuntu 8.04

177698

Duplicate sources aren't fixed by apt-update

174449

apt should be able to search ppa packages in launchpad

163262

repository file not recognized from APT

144083

"package lists" should be downloaded as diffs (Contents-i386.gz)

137418

add ntlm (MS) proxy support (wishlist)

133552

Config option to enable debug logging in unattended-upgrade

123383

apt-get crashed with SIGSEGV in pkgDPkgPM::Go()

107944

Unusable time remaining calculation in Kubuntu Distribuiton Upgrade

106127

Wish: Clarify apt-get error message(s)

103881

apt-get remove default should not be Y.

103593

apt crashes when wireless connection fails

103460

[apport] apt-check crashed with SIGSEGV in pkgPolicy::GetCandidateVer()

98733

Interactive digest and basic authentication for apt-get

94590

[apport] apt-check crashed with SIGSEGV in pkgDepCache::CheckDep()

93692

Feature that apt would automatically try ftp: instead http: and vice versa if one fails

93302

apt-cache policy does not show the paths of local repositories

91191

apt-get uses inconistent units

90228

Impossible to list only user installed packages

89540

sub-optimal network usage by update-manager

87315

Apt 0.6.46.4ubuntu7 (Feisty) man pages do not document APT::Periodic setting

87114

APT shows same-version packages as upgradable when the packages are the same version but are different (e.g. one from debian, one from ubuntu)

86896

apt's daily cron job locks the apt lists against package managers

85590

'apt-get source' fails when any "deb-src" repository is unreachable

83889

apt shows incorrect language strings if used with specific locale settings - and aborts package installation if you confirm installation

81073

Adept should handle invalid repositories more gracefully

80377

apt-get gives numerous "104 connection reset by peer" errors when downloading from behind a proxy

80260

aptitude crashes if cd-rom is not present while installing more than one package

78563

Order of package names in argument list shouldn't be relevant

76783

apt-cache --installed should work for "search" too (not only for depends,rdepends)

75882

apt-get autoremove removes required packages

74134

Apt's unable to acquire lock message isn't user friendly

72344

Apt can't cope with Matplotlib build dependencies

65867

aptitude-compatible recommends options

63679

apt-get autoremove wants to remove necessary libraries

62303

apt should support a "steped" update

61931

Confusing message: You might want to run `apt-get -f install' to correct these.

59875

apt should install packages from mounted cdroms first before asking for the next CD

59353

gzip error when updating packages

57393

apt segfaults if /var/cache/apt/srcpkgcache.bin is wrong

56125

apt-get moo doesn't look like a cow

48859

misleading question text when using --download-only without public key

47936

confusing apt errors for all to any dependencies

42593

download size displayed in k, not m(b)

Progress

apt-week-triaging.png

More Bugs

This list is just a nibble of the bigger picture.


CategoryBugSquad

UbuntuBugDay/20100909 (last edited 2010-09-10 17:27:06 by vish)